Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRRenderable

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  JRImageMapRenderer

All Known Implementing Classes:
  BarbecueRenderer, BatikRenderer, DrawChartRenderer, JCommonDrawableRenderer, JFreeChartRenderer, JRAbstractChartImageMapRenderer, JRAbstractRenderer, JRAbstractSvgRenderer, JRCategoryChartImageMapRenderer, JRHighLowChartImageMapRenderer, JRImageRenderer, JRPieChartImageMapRenderer, JRSimpleImageMapRenderer, JRTimePeriodChartImageMapRenderer, JRTimeSeriesChartImageMapRenderer, JRVirtualPrintPage.JRIdHolderRenderer, JRWrappingSvgRenderer, JRXYChartImageMapRenderer, UnusedSpaceImageRenderer

    public interface JRRenderable

extends java.io.Serializable

Version:
  $Id: JRRenderable.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static byte` | `IMAGE_TYPE_GIF` A constant used for specifying that the image is of GIF type
`static byte` | `IMAGE_TYPE_JPEG` A constant used for specifying that the image is of the JPEG type
`static byte` | `IMAGE_TYPE_PNG` A constant used for specifying that the image is of the PNG type
`static byte` | `IMAGE_TYPE_TIFF` A constant used for specifying that the image is of the TIFF type
`static byte` | `IMAGE_TYPE_UNKNOWN` A constant used for specifying that the image is of unknown type
`static java.lang.String` | `MIME_TYPE_GIF` image mime type constants
`static java.lang.String` | `MIME_TYPE_JPEG`
`static java.lang.String` | `MIME_TYPE_PNG`
`static java.lang.String` | `MIME_TYPE_TIFF`
`static byte` | `TYPE_IMAGE`
`static byte` | `TYPE_SVG`

Method Summary
`java.awt.geom.Dimension2D` | `getDimension()`
`java.lang.String` | `getId()`
`byte[]` | `getImageData()`
`byte` | `getImageType()`
`byte` | `getType()`
`void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

Field Detail

### TYPE_IMAGE

    static final byte TYPE_IMAGE

See Also:
  Constant Field Values

### TYPE_SVG

    static final byte TYPE_SVG

See Also:
  Constant Field Values

### IMAGE_TYPE_UNKNOWN

    static final byte IMAGE_TYPE_UNKNOWN

  A constant used for specifying that the image is of unknown type

  See Also:
    Constant Field Values

### IMAGE_TYPE_GIF

    static final byte IMAGE_TYPE_GIF

  A constant used for specifying that the image is of GIF type

  See Also:
    Constant Field Values

### IMAGE_TYPE_JPEG

    static final byte IMAGE_TYPE_JPEG

  A constant used for specifying that the image is of the JPEG type

  See Also:
    Constant Field Values

### IMAGE_TYPE_PNG

    static final byte IMAGE_TYPE_PNG

  A constant used for specifying that the image is of the PNG type

  See Also:
    Constant Field Values

### IMAGE_TYPE_TIFF

    static final byte IMAGE_TYPE_TIFF

  A constant used for specifying that the image is of the TIFF type

  See Also:
    Constant Field Values

### MIME_TYPE_GIF

    static final java.lang.String MIME_TYPE_GIF

  image mime type constants

  See Also:
    Constant Field Values

### MIME_TYPE_JPEG

    static final java.lang.String MIME_TYPE_JPEG

See Also:
  Constant Field Values

### MIME_TYPE_PNG

    static final java.lang.String MIME_TYPE_PNG

See Also:
  Constant Field Values

### MIME_TYPE_TIFF

    static final java.lang.String MIME_TYPE_TIFF

See Also:
  Constant Field Values

Method Detail

### getId

    java.lang.String getId()

### getType

    byte getType()

### getImageType

    byte getImageType()

### getDimension

    java.awt.geom.Dimension2D getDimension()
                                           throws JRException

  Throws:
    `JRException`

### getImageData

    byte[] getImageData()
                        throws JRException

  Throws:
    `JRException`

### render

    void render(java.awt.Graphics2D grx,
                java.awt.geom.Rectangle2D rectangle)
                throws JRException

  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com